Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class NamedArtefactTypeAstTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractArtefactTypeAstTransformation
          org.codehaus.groovy.grails.compiler.injection.NamedArtefactTypeAstTransformation

    @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class NamedArtefactTypeAstTransformation
    extends AbstractArtefactTypeAstTransformation

An AST transform used to apply a named artefact type

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`NamedArtefactTypeAstTransformation(java.lang.String artefactType)`

Method Summary
`void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class AbstractArtefactTypeAstTransformation
performInjectionOnArtefactType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NamedArtefactTypeAstTransformation

    public NamedArtefactTypeAstTransformation(java.lang.String artefactType)

Method Detail

### visit

    public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation